# KSPRICHARDSON

The preconditioned Richardson iterative method

### Options Database Keys

-ksp_richardson_scale -damping factor on the correction (defaults to 1.0)

Notes: x^{n+1} = x^{n} + scale*B(b - A x^{n})

This method often (usually) will not converge unless scale is very small

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP,
KSPRichardsonSetScale()

Level:beginner
Location: src/ksp/ksp/impls/rich/rich.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages